//
//  SovereignStateGovernmentWebsite.swift
//  
//
//  Created by Evan Anderson on 7/9/22.
//

import Foundation

internal enum SovereignStateGovernmentWebsite {
    static func get(_ country: Country) -> String? {
        switch country {
        case .afghanistan: return "https://president.gov.af/en/"
        case .albania: return "https://e-albania.al"
        case .andorra: return "https://www.govern.ad"
        case .angola: return "https://governo.gov.ao/ao/"
        case .antigua_and_barbuda: return "https://ab.gov.ag"
        case .argentina: return "https://www.argentina.gob.ar"
        case .armenia: return "https://www.gov.am/en"
        case .aruba: return "https://www.government.aw"
        case .australia: return "https://www.australia.gov.au"
        case .austria: return "https://www.bundeskanzleramt.gv.at/en.html"
        case .azerbaijan: return "https://en.president.az"

        case .bahamas: return "https://www.bahamas.gov.bs"
        case .bahrain: return "https://www.bahrain.bh/wps/portal/Home_en"
        case .bangladesh: return "https://bangladesh.gov.bd/index.php"
        case .barbados: return "https://www.gov.bb"
        case .belarus: return "https://www.belarus.by/en/"
        case .belgium: return "https://www.belgium.be/en"
        case .belize: return "https://belize.gov.bz"
        case .benin: return "https://www.gouv.bj"
        case .bermuda: return "https://www.gov.bm"
        case .bhutan: return "https://www.gov.bt"
        case .bolivia: return "https://www.presidencia.gob.bo"
        case .bosnia_and_herzegovina: return "https://fbihvlada.gov.ba"
        case .botswana: return "https://www.gov.bw"
        case .brazil: return "http://www.brazil.gov.br"
        case .burundi: return "https://www.gov.bn"
        case .bulgaria: return "https://www.gov.bg/en"
        case .burkina_faso: return "http://www.gouvernement.gov.bf"

        case .cambodia: return "https://www.mfaic.gov.kh"
        case .cameroon: return "https://www.prc.cm/en/"
        case .canada: return "https://www.canada.ca/en.html"
        case .cape_verde: return "https://www.governo.cv"
        case .cayman_islands: return "https://www.gov.ky"
        case .chad: return "https://presidence.td"
        case .chile: return "https://www.gob.cl/en/"
        case .china: return "https://www.gov.cn"
        case .colombia: return "http://wp.presidencia.gov.co/sitios/en/Paginas/Presidency-Republic-Colombia.aspx"
        case .comoros: return "https://douane.gov.km/en/"
        case .cook_islands: return "http://www.ck/govt.htm"
        case .costa_rica: return "https://presidencia.go.cr"
        case .cuba: return "http://www.minrex.gob.cu/en"
        case .cyprus: return "http://www.cyprus.gov.cy/"

        case .denmark: return "https://denmark.dk"
        case .djibouti: return "https://www.presidence.dj/"
        case .dominica: return "https://dominica.gov.dm"

        case .ecuador: return "https://www.gob.ec"
        case .egypt: return "http://egypt.gov.eg/"
        case .el_salvador: return "https://www.presidencia.gob.sv"
        case .estonia: return "https://www.valitsus.ee/en"
        case .ethiopia: return "https://www.pmo.gov.et"

        case .falkland_islands: return "https://www.falklands.gov.fk"
        case .faroe_islands: return "https://www.government.fo"
        case .fiji: return "https://www.fiji.gov.fj/Home"
        case .finland: return "https://valtioneuvosto.fi/etusivu"
        case .france: return "https://www.gouvernement.fr"

        case .gabon: return "http://www.gouvernement.ga"
        case .gambia: return "https://statehouse.gm"
        case .georgia: return "https://www.gov.ge/index.php?lang_id=ENG"
        case .germany: return "https://www.bundesregierung.de/breg-de"
        case .ghana: return "https://www.ghana.gov.gh"
        case .gibraltar: return "https://www.gibraltar.gov.gi"
        case .greece: return "https://www.gov.gr"
        case .greenland: return "https://naalakkersuisut.gl/en/Naalakkersuisut"
        case .grenada: return "https://gov.gd"
        case .guadeloupe: return "http://www.guadeloupe.gouv.fr"
        case .guam: return "https://www.guam.gov"
        case .guatemala: return "https://guatemala.gob.gt"
        case .guyana: return "https://government.gy/home"

        case .iceland: return "https://www.government.is"
        case .india: return "https://www.india.gov.in"
        case .indonesia: return "https://indonesia.nl/en/"
        case .iran: return "https://irangov.ir/en"
        case .iraq: return "https://gds.gov.iq"
        case .ireland: return "https://www.gov.ie"
        case .israel: return "https://www.gov.il/en"
        case .italy: return "http://www.italia.it/"

        case .japan: return "https://www.japan.go.jp"
        case .jamaica: return "https://www.gov.jm"
        case .jersey: return "https://www.gov.je/Pages/default.aspx"
        case .jordan: return "https://portal.jordan.gov.jo/wps/portal/%5c?lang=en#/"

        case .kazakhstan: return "https://www.akorda.kz/en"
        case .kenya: return "https://www.president.go.ke"
        case .kiribati: return "https://kiribati.gov.ki"
        case .kosovo: return "https://www.rks-gov.net/EN"
        case .kuwait: return "https://www.e.gov.kw/sites/kgoEnglish/Pages/HomePage.aspx"
        case .kyrgyzstan: return "https://www.gov.kg/ky"

        case .laos: return "http://www.na.gov.la/index.php?lang=en#"
        case .latvia: return "https://www.mk.gov.lv/en"
        case .lebanon: return "http://portal.gov.lb/index.html"
        case .lesotho: return "https://www.gov.ls"
        case .liberia: return "https://eliberia.gov.lr"
        case .liechtenstein: return "https://www.liechtenstein.li/en/"
        case .lithuania: return "https://lrv.lt/en"
        case .luxembourg: return "https://gouvernement.lu"

        case .madagascar: return "http://www.presidence.gov.mg"
        case .malawi: return "https://www.malawi.gov.mw"
        case .malaysia: return "https://www.malaysia.gov.my/portal/"
        case .maldives: return "https://www.gov.mv/"
        case .mali: return "https://primature.ml"
        case .malta: return "https://www.gov.mt/en/Pages/home.aspx"
        case .marshall_islands: return "https://rmiparliament.org/cms/"
        case .mexico: return "https://www.gob.mx"
        case .micronesia: return "https://www.gov.fm"
        case .moldova: return "https://www.gov.md/en"
        case .monaco: return "https://en.gouv.mc"
        case .mongolia: return "https://mongolia.gov.mn"
        case .montenegro: return "https://www.gov.me/en/"
        case .morocco: return "https://www.maroc.ma/en"
        case .mozambique: return "https://www.portaldogoverno.gov.mz"

        case .namibia: return "https://www.gov.na"
        case .nepal: return "https://www.nepal.gov.np"
        case .new_zealand: return "https://www.govt.nz"
        case .netherlands: return "https://www.government.nl"
        case .nicaragua: return "https://www.pronicaragua.gob.ni/en/"
        case .niger: return "https://www.presidence.ne"
        case .nigeria: return "https://nigeria.gov.ng"
        case .niue: return "https://gov.nu"
        case .north_macedonia: return "https://vlada.mk/?ln=en-gb"
        case .norway: return "https://www.regjeringen.no"

        case .oman: return "https://www.oman.om"

        case .pakistan: return "https://www.pakistan.gov.pk"
        case .palau: return "https://www.palaugov.pw"
        case .panama: return "https://www.presidencia.gob.pa/en/"
        case .papua_new_guinea: return "http://www.parliament.gov.pg"
        case .paraguay: return "https://www.paraguay.gov.py"
        case .peru: return "https://www.gob.pe"
        case .philippines: return "https://www.gov.ph"
        case .poland: return "https://www.gov.pl"
        case .portugal: return "https://www.portugal.gov.pt"
        case .puerto_rico: return "https://pr.gov"

        case .qatar: return "https://www.gco.gov.qa/en/"

        case .romania: return "https://gov.ro/en"
        case .russia: return "http://government.ru"
        case .rwanda: return "https://www.gov.rw"

        case .samoa: return "https://www.samoagovt.ws"
        case .san_marino: return "https://www.gov.sm"
        case .seychelles: return "https://www.gov.sc"
        case .scotland: return "https://www.gov.scot"
        case .senegal: return "https://www.presidence.sn/en/"
        case .serbia: return "https://www.srbija.gov.rs"
        case .singapore: return "https://www.gov.sg"
        case .slovakia: return "https://www.vlada.gov.sk"
        case .solomon_islands: return "https://solomons.gov.sb"
        case .somalia: return "https://www.somalia.gov.so"
        case .south_africa: return "https://www.gov.za"
        case .south_korea: return "http://english.president.go.kr"
        case .spain: return "https://www.lamoncloa.gob.es/lang/en/paginas/index.aspx"
        case .sudan: return "http://www.sudan.gov.sd/index.php/en"
        case .sweden: return "https://www.government.se"
        case .switzerland: return "https://www.admin.ch"
        case .syria: return "https://egov.sy/page/en/132/0/HOME.html"

        case .taiwan: return "https://taiwan.gov.tw"
        case .tajikistan: return "https://mfa.tj/en"
        case .tanzania: return "https://www.tanzania.go.tz"
        case .thailand: return "https://www.thaigov.go.th/main/contents"
        case .timor_leste: return "http://timor-leste.gov.tl/?lang=en"
        case .togo: return "https://togo.gouv.tg"
        case .tokelau: return "https://www.tokelau.org.nz"
        case .tonga: return "https://www.gov.to"
        case .trinidad_and_tobago: return "http://gov.tt"
        case .tunisia: return "http://www.tunisie.gov.tn"
        case .turkey: return "https://www.turkiye.gov.tr"
        case .turkmenistan: return "https://turkmenistan.gov.tm/en"

        case .uganda: return "https://www.gou.go.ug"
        case .united_arab_emirates: return "https://u.ae/en"
        case .united_kingdom: return "https://www.gov.uk"
        case .united_states: return "https://www.usa.gov"
        case .uzbekistan: return "https://www.gov.uz/en"

        case .zambia: return "https://zambia.co.zm"
        case .zimbabwe: return "http://www.zim.gov.zw/index.php/en/"

        default: return nil
        }
    }
}
